﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml.Serialization;

namespace MSDNSender
{
    [Serializable()]
    [System.Xml.Serialization.XmlRoot("Catalog")]
    public class Catalog
    {
        [System.Xml.Serialization.XmlElement("Name")]
        public string Name { get; set; }

        [XmlArray("Products")]
        [XmlArrayItem("Product", typeof(Product))]
        public Product[] products;
    }

    [Serializable()]
    public class Product
    {
        [System.Xml.Serialization.XmlElement("ProductId")]
        public string ProductId { get; set; }

        [System.Xml.Serialization.XmlElement("ProductName")]
        public string ProductName { get; set; }

        [System.Xml.Serialization.XmlElement("Category")]
        public string Category { get; set; }

        [System.Xml.Serialization.XmlElement("CatalogPage")]
        public int CatalogPage { get; set; }

        [System.Xml.Serialization.XmlElement("MSRP")]
        public double MSRP { get; set; }

        [System.Xml.Serialization.XmlElement("Store")]
        public string Store { get; set; }
    }
}
